#include <kdialog.h>
#include <klocale.h>

/****************************************************************************
** Form implementation generated from reading ui file 'kornaccountcfg.ui'
**
** Created: 2012-11-10T12:43:19
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "kornaccountcfg.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qtabwidget.h>
#include <qlabel.h>
#include <qcombobox.h>
#include <qlineedit.h>
#include <qcheckbox.h>
#include <qgroupbox.h>
#include <kurlrequester.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/*
 *  Constructs a KornAccountCfg as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
KornAccountCfg::KornAccountCfg( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "KornAccountCfg" );
    KornAccountCfgLayout = new QGridLayout( this, 1, 1, 11, 6, "KornAccountCfgLayout"); 

    tab = new QTabWidget( this, "tab" );

    server_tab = new QWidget( tab, "server_tab" );

    lbProtocol = new QLabel( server_tab, "lbProtocol" );
    lbProtocol->setGeometry( QRect( 11, 41, 206, 24 ) );

    cbProtocol = new QComboBox( FALSE, server_tab, "cbProtocol" );
    cbProtocol->setGeometry( QRect( 223, 41, 206, 24 ) );
    tab->insertTab( server_tab, QString::fromLatin1("") );

    TabPage = new QWidget( tab, "TabPage" );
    TabPageLayout = new QVBoxLayout( TabPage, 11, 6, "TabPageLayout"); 

    layout35 = new QHBoxLayout( 0, 0, 6, "layout35"); 

    lbInterval = new QLabel( TabPage, "lbInterval" );
    layout35->addWidget( lbInterval );

    edInterval = new QLineEdit( TabPage, "edInterval" );
    layout35->addWidget( edInterval );
    TabPageLayout->addLayout( layout35 );
    tab->insertTab( TabPage, QString::fromLatin1("") );

    TabPage_2 = new QWidget( tab, "TabPage_2" );
    TabPageLayout_2 = new QVBoxLayout( TabPage_2, 11, 6, "TabPageLayout_2"); 

    chUseBox = new QCheckBox( TabPage_2, "chUseBox" );
    chUseBox->setChecked( TRUE );
    TabPageLayout_2->addWidget( chUseBox );

    gbNewMail = new QGroupBox( TabPage_2, "gbNewMail" );
    gbNewMail->setEnabled( FALSE );
    gbNewMail->setColumnLayout(0, Qt::Vertical );
    gbNewMail->layout()->setSpacing( 6 );
    gbNewMail->layout()->setMargin( 11 );
    gbNewMailLayout = new QVBoxLayout( gbNewMail->layout() );
    gbNewMailLayout->setAlignment( Qt::AlignTop );

    layout33 = new QGridLayout( 0, 1, 1, 0, 6, "layout33"); 

    edRunCommand = new KURLRequester( gbNewMail, "edRunCommand" );

    layout33->addWidget( edRunCommand, 0, 1 );

    lbRunCommand = new QLabel( gbNewMail, "lbRunCommand" );

    layout33->addWidget( lbRunCommand, 0, 0 );

    edPlaySound = new KURLRequester( gbNewMail, "edPlaySound" );

    layout33->addWidget( edPlaySound, 1, 1 );

    lbPlaySound = new QLabel( gbNewMail, "lbPlaySound" );

    layout33->addWidget( lbPlaySound, 1, 0 );
    gbNewMailLayout->addLayout( layout33 );

    chPassivePopup = new QCheckBox( gbNewMail, "chPassivePopup" );
    gbNewMailLayout->addWidget( chPassivePopup );

    chPassiveDate = new QCheckBox( gbNewMail, "chPassiveDate" );
    chPassiveDate->setEnabled( FALSE );
    gbNewMailLayout->addWidget( chPassiveDate );
    TabPageLayout_2->addWidget( gbNewMail );
    tab->insertTab( TabPage_2, QString::fromLatin1("") );

    KornAccountCfgLayout->addWidget( tab, 0, 0 );
    languageChange();
    resize( QSize(472, 471).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( chUseBox, SIGNAL( toggled(bool) ), gbNewMail, SLOT( setDisabled(bool) ) );
    connect( chPassivePopup, SIGNAL( toggled(bool) ), chPassiveDate, SLOT( setEnabled(bool) ) );
    connect( cbProtocol, SIGNAL( activated(const QString&) ), this, SLOT( slotProtocolChanged(const QString&) ) );

    // tab order
    setTabOrder( tab, edInterval );
    setTabOrder( edInterval, chUseBox );
    setTabOrder( chUseBox, edRunCommand );
    setTabOrder( edRunCommand, edPlaySound );
    setTabOrder( edPlaySound, chPassivePopup );
    setTabOrder( chPassivePopup, chPassiveDate );

    // buddies
    lbProtocol->setBuddy( cbProtocol );
    lbInterval->setBuddy( edInterval );
    lbRunCommand->setBuddy( edRunCommand );
    lbPlaySound->setBuddy( edPlaySound );
}

/*
 *  Destroys the object and frees any allocated resources
 */
KornAccountCfg::~KornAccountCfg()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void KornAccountCfg::languageChange()
{
    lbProtocol->setText( tr2i18n( "&Protocol:" ) );
    tab->changeTab( server_tab, tr2i18n( "&Server" ) );
    lbInterval->setText( tr2i18n( "C&heck every (sec):" ) );
    tab->changeTab( TabPage, tr2i18n( "&Account" ) );
    chUseBox->setText( tr2i18n( "&Use settings of box" ) );
    gbNewMail->setTitle( tr2i18n( "On New Mail" ) );
    lbRunCommand->setText( tr2i18n( "Run &command:" ) );
    lbPlaySound->setText( tr2i18n( "Play sou&nd:" ) );
    chPassivePopup->setText( tr2i18n( "Show &passive popup" ) );
    chPassiveDate->setText( tr2i18n( "Add &date to passive popup" ) );
    tab->changeTab( TabPage_2, tr2i18n( "&Events" ) );
}

void KornAccountCfg::slotProtocolChanged(const QString&)
{
    qWarning( "KornAccountCfg::slotProtocolChanged(const QString&): Not implemented yet" );
}

/****************************************************************************
** KornAccountCfg meta object code from reading C++ file 'kornaccountcfg.h'
**
** Created: Sat Nov 10 12:43:19 2012
**      by: The Qt MOC ($Id: qt/moc_yacc.cpp   3.3.8   edited Feb 2 14:59 $)
**
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#undef QT_NO_COMPAT
#include "kornaccountcfg.h"
#include <qmetaobject.h>
#include <qapplication.h>

#include <private/qucomextra_p.h>
#if !defined(Q_MOC_OUTPUT_REVISION) || (Q_MOC_OUTPUT_REVISION != 26)
#error "This file was generated using the moc from 3.3.8d. It"
#error "cannot be used with the include files from this version of Qt."
#error "(The moc has changed too much.)"
#endif

const char *KornAccountCfg::className() const
{
    return "KornAccountCfg";
}

QMetaObject *KornAccountCfg::metaObj = 0;
static QMetaObjectCleanUp cleanUp_KornAccountCfg( "KornAccountCfg", &KornAccountCfg::staticMetaObject );

#ifndef QT_NO_TRANSLATION
QString KornAccountCfg::tr( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "KornAccountCfg", s, c, QApplication::DefaultCodec );
    else
	return QString::fromLatin1( s );
}
#ifndef QT_NO_TRANSLATION_UTF8
QString KornAccountCfg::trUtf8( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "KornAccountCfg", s, c, QApplication::UnicodeUTF8 );
    else
	return QString::fromUtf8( s );
}
#endif // QT_NO_TRANSLATION_UTF8

#endif // QT_NO_TRANSLATION

QMetaObject* KornAccountCfg::staticMetaObject()
{
    if ( metaObj )
	return metaObj;
    QMetaObject* parentObject = QWidget::staticMetaObject();
    static const QUMethod slot_0 = {"languageChange", 0, 0 };
    static const QUParameter param_slot_1[] = {
	{ 0, &static_QUType_QString, 0, QUParameter::In }
    };
    static const QUMethod slot_1 = {"slotProtocolChanged", 1, param_slot_1 };
    static const QMetaData slot_tbl[] = {
	{ "languageChange()", &slot_0, QMetaData::Protected },
	{ "slotProtocolChanged(const QString&)", &slot_1, QMetaData::Protected }
    };
    metaObj = QMetaObject::new_metaobject(
	"KornAccountCfg", parentObject,
	slot_tbl, 2,
	0, 0,
#ifndef QT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // QT_NO_PROPERTIES
	0, 0 );
    cleanUp_KornAccountCfg.setMetaObject( metaObj );
    return metaObj;
}

void* KornAccountCfg::qt_cast( const char* clname )
{
    if ( !qstrcmp( clname, "KornAccountCfg" ) )
	return this;
    return QWidget::qt_cast( clname );
}

bool KornAccountCfg::qt_invoke( int _id, QUObject* _o )
{
    switch ( _id - staticMetaObject()->slotOffset() ) {
    case 0: languageChange(); break;
    case 1: slotProtocolChanged((const QString&)static_QUType_QString.get(_o+1)); break;
    default:
	return QWidget::qt_invoke( _id, _o );
    }
    return TRUE;
}

bool KornAccountCfg::qt_emit( int _id, QUObject* _o )
{
    return QWidget::qt_emit(_id,_o);
}
#ifndef QT_NO_PROPERTIES

bool KornAccountCfg::qt_property( int id, int f, QVariant* v)
{
    return QWidget::qt_property( id, f, v);
}

bool KornAccountCfg::qt_static_property( QObject* , int , int , QVariant* ){ return FALSE; }
#endif // QT_NO_PROPERTIES
