#include <kdialog.h>
#include <klocale.h>

/****************************************************************************
** Form implementation generated from reading ui file 'progress_dialog.ui'
**
** Created: 2012-11-10T12:43:23
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "progress_dialog.h"

#include <qvariant.h>
#include <qlabel.h>
#include <qprogressbar.h>
#include <qpushbutton.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>
#include "progress_dialog.ui.h"

/*
 *  Constructs a DoubleProgressDialog as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 *
 *  The dialog will by default be modeless, unless you set 'modal' to
 *  TRUE to construct a modal dialog.
 */
DoubleProgressDialog::DoubleProgressDialog( QWidget* parent, const char* name, bool modal, WFlags fl )
    : QDialog( parent, name, modal, fl )
{
    if ( !name )
	setName( "DoubleProgressDialog" );
    DoubleProgressDialogLayout = new QVBoxLayout( this, 11, 6, "DoubleProgressDialogLayout"); 

    lbText = new QLabel( this, "lbText" );
    DoubleProgressDialogLayout->addWidget( lbText );

    pbBoxes = new QProgressBar( this, "pbBoxes" );
    DoubleProgressDialogLayout->addWidget( pbBoxes );

    pbProgress = new QProgressBar( this, "pbProgress" );
    DoubleProgressDialogLayout->addWidget( pbProgress );

    layout1 = new QHBoxLayout( 0, 0, 6, "layout1"); 
    spacer1 = new QSpacerItem( 41, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    layout1->addItem( spacer1 );

    pbCancel = new QPushButton( this, "pbCancel" );
    layout1->addWidget( pbCancel );
    spacer2 = new QSpacerItem( 41, 31, QSizePolicy::Expanding, QSizePolicy::Minimum );
    layout1->addItem( spacer2 );
    DoubleProgressDialogLayout->addLayout( layout1 );
    languageChange();
    resize( QSize(286, 140).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( pbCancel, SIGNAL( clicked() ), this, SLOT( cancelbutton() ) );

    // tab order
}

/*
 *  Destroys the object and frees any allocated resources
 */
DoubleProgressDialog::~DoubleProgressDialog()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void DoubleProgressDialog::languageChange()
{
    setCaption( tr2i18n( "Progress" ) );
    lbText->setText( QString::null );
    pbCancel->setText( tr2i18n( "&Cancel" ) );
}

/****************************************************************************
** DoubleProgressDialog meta object code from reading C++ file 'progress_dialog.h'
**
** Created: Sat Nov 10 12:43:24 2012
**      by: The Qt MOC ($Id: qt/moc_yacc.cpp   3.3.8   edited Feb 2 14:59 $)
**
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#undef QT_NO_COMPAT
#include "progress_dialog.h"
#include <qmetaobject.h>
#include <qapplication.h>

#include <private/qucomextra_p.h>
#if !defined(Q_MOC_OUTPUT_REVISION) || (Q_MOC_OUTPUT_REVISION != 26)
#error "This file was generated using the moc from 3.3.8d. It"
#error "cannot be used with the include files from this version of Qt."
#error "(The moc has changed too much.)"
#endif

const char *DoubleProgressDialog::className() const
{
    return "DoubleProgressDialog";
}

QMetaObject *DoubleProgressDialog::metaObj = 0;
static QMetaObjectCleanUp cleanUp_DoubleProgressDialog( "DoubleProgressDialog", &DoubleProgressDialog::staticMetaObject );

#ifndef QT_NO_TRANSLATION
QString DoubleProgressDialog::tr( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "DoubleProgressDialog", s, c, QApplication::DefaultCodec );
    else
	return QString::fromLatin1( s );
}
#ifndef QT_NO_TRANSLATION_UTF8
QString DoubleProgressDialog::trUtf8( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "DoubleProgressDialog", s, c, QApplication::UnicodeUTF8 );
    else
	return QString::fromUtf8( s );
}
#endif // QT_NO_TRANSLATION_UTF8

#endif // QT_NO_TRANSLATION

QMetaObject* DoubleProgressDialog::staticMetaObject()
{
    if ( metaObj )
	return metaObj;
    QMetaObject* parentObject = QDialog::staticMetaObject();
    static const QUParameter param_slot_0[] = {
	{ "str", &static_QUType_QString, 0, QUParameter::In }
    };
    static const QUMethod slot_0 = {"setText", 1, param_slot_0 };
    static const QUParameter param_slot_1[] = {
	{ "number", &static_QUType_int, 0, QUParameter::In }
    };
    static const QUMethod slot_1 = {"setNumberOfBoxes", 1, param_slot_1 };
    static const QUParameter param_slot_2[] = {
	{ "number", &static_QUType_int, 0, QUParameter::In }
    };
    static const QUMethod slot_2 = {"setProgressOfBoxes", 1, param_slot_2 };
    static const QUParameter param_slot_3[] = {
	{ "number", &static_QUType_int, 0, QUParameter::In }
    };
    static const QUMethod slot_3 = {"setNumberOfSteps", 1, param_slot_3 };
    static const QUParameter param_slot_4[] = {
	{ "number", &static_QUType_int, 0, QUParameter::In }
    };
    static const QUMethod slot_4 = {"setProgress", 1, param_slot_4 };
    static const QUMethod slot_5 = {"languageChange", 0, 0 };
    static const QUMethod slot_6 = {"cancelbutton", 0, 0 };
    static const QMetaData slot_tbl[] = {
	{ "setText(const QString&)", &slot_0, QMetaData::Public },
	{ "setNumberOfBoxes(int)", &slot_1, QMetaData::Public },
	{ "setProgressOfBoxes(int)", &slot_2, QMetaData::Public },
	{ "setNumberOfSteps(int)", &slot_3, QMetaData::Public },
	{ "setProgress(int)", &slot_4, QMetaData::Public },
	{ "languageChange()", &slot_5, QMetaData::Protected },
	{ "cancelbutton()", &slot_6, QMetaData::Private }
    };
    static const QUMethod signal_0 = {"cancelPressed", 0, 0 };
    static const QMetaData signal_tbl[] = {
	{ "cancelPressed()", &signal_0, QMetaData::Public }
    };
    metaObj = QMetaObject::new_metaobject(
	"DoubleProgressDialog", parentObject,
	slot_tbl, 7,
	signal_tbl, 1,
#ifndef QT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // QT_NO_PROPERTIES
	0, 0 );
    cleanUp_DoubleProgressDialog.setMetaObject( metaObj );
    return metaObj;
}

void* DoubleProgressDialog::qt_cast( const char* clname )
{
    if ( !qstrcmp( clname, "DoubleProgressDialog" ) )
	return this;
    return QDialog::qt_cast( clname );
}

// SIGNAL cancelPressed
void DoubleProgressDialog::cancelPressed()
{
    activate_signal( staticMetaObject()->signalOffset() + 0 );
}

bool DoubleProgressDialog::qt_invoke( int _id, QUObject* _o )
{
    switch ( _id - staticMetaObject()->slotOffset() ) {
    case 0: setText((const QString&)static_QUType_QString.get(_o+1)); break;
    case 1: setNumberOfBoxes((int)static_QUType_int.get(_o+1)); break;
    case 2: setProgressOfBoxes((int)static_QUType_int.get(_o+1)); break;
    case 3: setNumberOfSteps((int)static_QUType_int.get(_o+1)); break;
    case 4: setProgress((int)static_QUType_int.get(_o+1)); break;
    case 5: languageChange(); break;
    case 6: cancelbutton(); break;
    default:
	return QDialog::qt_invoke( _id, _o );
    }
    return TRUE;
}

bool DoubleProgressDialog::qt_emit( int _id, QUObject* _o )
{
    switch ( _id - staticMetaObject()->signalOffset() ) {
    case 0: cancelPressed(); break;
    default:
	return QDialog::qt_emit(_id,_o);
    }
    return TRUE;
}
#ifndef QT_NO_PROPERTIES

bool DoubleProgressDialog::qt_property( int id, int f, QVariant* v)
{
    return QDialog::qt_property( id, f, v);
}

bool DoubleProgressDialog::qt_static_property( QObject* , int , int , QVariant* ){ return FALSE; }
#endif // QT_NO_PROPERTIES
