#include <kdialog.h>
#include <klocale.h>

/****************************************************************************
** Form implementation generated from reading ui file 'korncfg.ui'
**
** Created: 2012-11-10T12:43:22
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "korncfg.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qtabwidget.h>
#include <qcheckbox.h>
#include <qbuttongroup.h>
#include <qradiobutton.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>
#include "keditlistboxman.h"

/*
 *  Constructs a KornCfgWidget as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
KornCfgWidget::KornCfgWidget( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "KornCfgWidget" );
    KornCfgWidgetLayout = new QVBoxLayout( this, 11, 6, "KornCfgWidgetLayout"); 

    tabKornCfg = new QTabWidget( this, "tabKornCfg" );

    tab = new QWidget( tabKornCfg, "tab" );
    tabLayout = new QVBoxLayout( tab, 11, 6, "tabLayout"); 

    elbBoxes = new KEditListBoxManager( tab, "elbBoxes" );
    tabLayout->addWidget( elbBoxes );

    pbEdit = new QPushButton( tab, "pbEdit" );
    tabLayout->addWidget( pbEdit );

    chUseWallet = new QCheckBox( tab, "chUseWallet" );
    chUseWallet->setChecked( TRUE );
    tabLayout->addWidget( chUseWallet );
    tabKornCfg->insertTab( tab, QString::fromLatin1("") );

    tab_2 = new QWidget( tabKornCfg, "tab_2" );
    tabLayout_2 = new QVBoxLayout( tab_2, 11, 6, "tabLayout_2"); 

    bgCheckBoxes = new QButtonGroup( tab_2, "bgCheckBoxes" );
    bgCheckBoxes->setFlat( TRUE );
    bgCheckBoxes->setColumnLayout(0, Qt::Vertical );
    bgCheckBoxes->layout()->setSpacing( 6 );
    bgCheckBoxes->layout()->setMargin( 11 );
    bgCheckBoxesLayout = new QVBoxLayout( bgCheckBoxes->layout() );
    bgCheckBoxesLayout->setAlignment( Qt::AlignTop );

    rbHorizontal = new QRadioButton( bgCheckBoxes, "rbHorizontal" );
    bgCheckBoxesLayout->addWidget( rbHorizontal );

    rbVertical = new QRadioButton( bgCheckBoxes, "rbVertical" );
    bgCheckBoxesLayout->addWidget( rbVertical );

    rbDocked = new QRadioButton( bgCheckBoxes, "rbDocked" );
    bgCheckBoxesLayout->addWidget( rbDocked );
    tabLayout_2->addWidget( bgCheckBoxes );
    tabKornCfg->insertTab( tab_2, QString::fromLatin1("") );
    KornCfgWidgetLayout->addWidget( tabKornCfg );
    languageChange();
    resize( QSize(350, 336).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( elbBoxes, SIGNAL( activated(const QString&) ), this, SLOT( slotActivated(const QString&) ) );
    connect( elbBoxes, SIGNAL( setDefaults(const QString&,const int,KConfig*) ), this, SLOT( slotSetDefaults(const QString&,const int,KConfig*) ) );
    connect( pbEdit, SIGNAL( clicked() ), this, SLOT( slotEditBox() ) );
}

/*
 *  Destroys the object and frees any allocated resources
 */
KornCfgWidget::~KornCfgWidget()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void KornCfgWidget::languageChange()
{
    setCaption( tr2i18n( "Korn Configuration" ) );
    pbEdit->setText( tr2i18n( "&Edit" ) );
    chUseWallet->setText( tr2i18n( "Use &KWallet if possible" ) );
    tabKornCfg->changeTab( tab, tr2i18n( "&Boxes" ) );
    bgCheckBoxes->setTitle( QString::null );
    rbHorizontal->setText( tr2i18n( "&Horizontal" ) );
    rbVertical->setText( tr2i18n( "&Vertical" ) );
    rbDocked->setText( tr2i18n( "&Docked" ) );
    tabKornCfg->changeTab( tab_2, tr2i18n( "&View" ) );
}

void KornCfgWidget::slotActivated(const QString&)
{
    qWarning( "KornCfgWidget::slotActivated(const QString&): Not implemented yet" );
}

void KornCfgWidget::slotActivated(const int)
{
    qWarning( "KornCfgWidget::slotActivated(const int): Not implemented yet" );
}

void KornCfgWidget::slotOK()
{
    qWarning( "KornCfgWidget::slotOK(): Not implemented yet" );
}

void KornCfgWidget::slotApply()
{
    qWarning( "KornCfgWidget::slotApply(): Not implemented yet" );
}

void KornCfgWidget::slotCancel()
{
    qWarning( "KornCfgWidget::slotCancel(): Not implemented yet" );
}

void KornCfgWidget::slotSetDefaults(const QString&,const int,KConfig*)
{
    qWarning( "KornCfgWidget::slotSetDefaults(const QString&,const int,KConfig*): Not implemented yet" );
}

void KornCfgWidget::slotEditBox()
{
    qWarning( "KornCfgWidget::slotEditBox(): Not implemented yet" );
}

/****************************************************************************
** KornCfgWidget meta object code from reading C++ file 'korncfg.h'
**
** Created: Sat Nov 10 12:43:22 2012
**      by: The Qt MOC ($Id: qt/moc_yacc.cpp   3.3.8   edited Feb 2 14:59 $)
**
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#undef QT_NO_COMPAT
#include "korncfg.h"
#include <qmetaobject.h>
#include <qapplication.h>

#include <private/qucomextra_p.h>
#if !defined(Q_MOC_OUTPUT_REVISION) || (Q_MOC_OUTPUT_REVISION != 26)
#error "This file was generated using the moc from 3.3.8d. It"
#error "cannot be used with the include files from this version of Qt."
#error "(The moc has changed too much.)"
#endif

const char *KornCfgWidget::className() const
{
    return "KornCfgWidget";
}

QMetaObject *KornCfgWidget::metaObj = 0;
static QMetaObjectCleanUp cleanUp_KornCfgWidget( "KornCfgWidget", &KornCfgWidget::staticMetaObject );

#ifndef QT_NO_TRANSLATION
QString KornCfgWidget::tr( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "KornCfgWidget", s, c, QApplication::DefaultCodec );
    else
	return QString::fromLatin1( s );
}
#ifndef QT_NO_TRANSLATION_UTF8
QString KornCfgWidget::trUtf8( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "KornCfgWidget", s, c, QApplication::UnicodeUTF8 );
    else
	return QString::fromUtf8( s );
}
#endif // QT_NO_TRANSLATION_UTF8

#endif // QT_NO_TRANSLATION

QMetaObject* KornCfgWidget::staticMetaObject()
{
    if ( metaObj )
	return metaObj;
    QMetaObject* parentObject = QWidget::staticMetaObject();
    static const QUMethod slot_0 = {"slotOK", 0, 0 };
    static const QUMethod slot_1 = {"slotApply", 0, 0 };
    static const QUMethod slot_2 = {"slotCancel", 0, 0 };
    static const QUMethod slot_3 = {"languageChange", 0, 0 };
    static const QUParameter param_slot_4[] = {
	{ 0, &static_QUType_QString, 0, QUParameter::In }
    };
    static const QUMethod slot_4 = {"slotActivated", 1, param_slot_4 };
    static const QUParameter param_slot_5[] = {
	{ 0, &static_QUType_int, 0, QUParameter::In }
    };
    static const QUMethod slot_5 = {"slotActivated", 1, param_slot_5 };
    static const QUParameter param_slot_6[] = {
	{ 0, &static_QUType_QString, 0, QUParameter::In },
	{ 0, &static_QUType_int, 0, QUParameter::In },
	{ 0, &static_QUType_ptr, "KConfig", QUParameter::In }
    };
    static const QUMethod slot_6 = {"slotSetDefaults", 3, param_slot_6 };
    static const QUMethod slot_7 = {"slotEditBox", 0, 0 };
    static const QMetaData slot_tbl[] = {
	{ "slotOK()", &slot_0, QMetaData::Public },
	{ "slotApply()", &slot_1, QMetaData::Public },
	{ "slotCancel()", &slot_2, QMetaData::Public },
	{ "languageChange()", &slot_3, QMetaData::Protected },
	{ "slotActivated(const QString&)", &slot_4, QMetaData::Protected },
	{ "slotActivated(const int)", &slot_5, QMetaData::Protected },
	{ "slotSetDefaults(const QString&,const int,KConfig*)", &slot_6, QMetaData::Protected },
	{ "slotEditBox()", &slot_7, QMetaData::Protected }
    };
    metaObj = QMetaObject::new_metaobject(
	"KornCfgWidget", parentObject,
	slot_tbl, 8,
	0, 0,
#ifndef QT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // QT_NO_PROPERTIES
	0, 0 );
    cleanUp_KornCfgWidget.setMetaObject( metaObj );
    return metaObj;
}

void* KornCfgWidget::qt_cast( const char* clname )
{
    if ( !qstrcmp( clname, "KornCfgWidget" ) )
	return this;
    return QWidget::qt_cast( clname );
}

bool KornCfgWidget::qt_invoke( int _id, QUObject* _o )
{
    switch ( _id - staticMetaObject()->slotOffset() ) {
    case 0: slotOK(); break;
    case 1: slotApply(); break;
    case 2: slotCancel(); break;
    case 3: languageChange(); break;
    case 4: slotActivated((const QString&)static_QUType_QString.get(_o+1)); break;
    case 5: slotActivated((const int)static_QUType_int.get(_o+1)); break;
    case 6: slotSetDefaults((const QString&)static_QUType_QString.get(_o+1),(const int)static_QUType_int.get(_o+2),(KConfig*)static_QUType_ptr.get(_o+3)); break;
    case 7: slotEditBox(); break;
    default:
	return QWidget::qt_invoke( _id, _o );
    }
    return TRUE;
}

bool KornCfgWidget::qt_emit( int _id, QUObject* _o )
{
    return QWidget::qt_emit(_id,_o);
}
#ifndef QT_NO_PROPERTIES

bool KornCfgWidget::qt_property( int id, int f, QVariant* v)
{
    return QWidget::qt_property( id, f, v);
}

bool KornCfgWidget::qt_static_property( QObject* , int , int , QVariant* ){ return FALSE; }
#endif // QT_NO_PROPERTIES
